SeExpr

Signals | Public Member Functions | Protected Member Functions | Private Slots | Private Attributes | List of all members
ExprColorFrame Class Reference

`#include <ExprColorSwatch.h>`

Inheritance diagram for ExprColorFrame:

## Signals
void | selValChangedSignal (SeExpr2::Vec3d value)
void | swatchChanged (QColor color)
void | deleteSwatch (ExprColorFrame *swatch)

## Public Member Functions
| ExprColorFrame (SeExpr2::Vec3d value, QWidget *parent=0)
| ~ExprColorFrame ()
void | setValue (const SeExpr2::Vec3d &value)
SeExpr2::Vec3d | getValue () const
bool | selected ()

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *event)
virtual void | mouseReleaseEvent (QMouseEvent *event)

## Private Slots
void | deleteSwatchMenu (const QPoint &pos)

## Private Attributes
SeExpr2::Vec3d | _value
QColor | _color
bool | _selected

## Detailed Description

Definition at line 12 of file ExprColorSwatch.h.

## Constructor & Destructor Documentation

## ◆ ExprColorFrame()

ExprColorFrame::ExprColorFrame | ( | SeExpr2::Vec3d | value,
|  | QWidget * | parent = `0`
| ) |  |

Definition at line 26 of file ExprColorSwatch.cpp.

References _value, and setValue().

## ◆ ~ExprColorFrame()

ExprColorFrame::~ExprColorFrame | ( |  | ) |
| inline

Definition at line 16 of file ExprColorSwatch.h.

## Member Function Documentation

## ◆ deleteSwatch

void ExprColorFrame::deleteSwatch | ( | ExprColorFrame * | swatch | ) |
| signal

Referenced by deleteSwatchMenu().

## ◆ deleteSwatchMenu

void ExprColorFrame::deleteSwatchMenu | ( | const QPoint & | pos | ) |
| private slot

Definition at line 72 of file ExprColorSwatch.cpp.

References deleteSwatch().

Referenced by mouseReleaseEvent().

## ◆ getValue()

SeExpr2::Vec3d ExprColorFrame::getValue | ( |  | ) | const

Definition at line 41 of file ExprColorSwatch.cpp.

References _value.

Referenced by ExprColorSwatchWidget::getSwatchColor(), and ExprColorSwatchWidget::internalSwatchChanged().

## ◆ mouseReleaseEvent()

void ExprColorFrame::mouseReleaseEvent | ( | QMouseEvent * | event | ) |
| protected virtual

Definition at line 49 of file ExprColorSwatch.cpp.

References _color, _value, deleteSwatchMenu(), selValChangedSignal(), and swatchChanged().

## ◆ paintEvent()

void ExprColorFrame::paintEvent | ( | QPaintEvent * | event | ) |
| protected virtual

Definition at line 43 of file ExprColorSwatch.cpp.

References _color, and p.

## ◆ selected()

bool ExprColorFrame::selected | ( |  | ) |
| inline

Definition at line 20 of file ExprColorSwatch.h.

References _selected.

## ◆ selValChangedSignal

void ExprColorFrame::selValChangedSignal | ( | SeExpr2::Vec3d | value | ) |
| signal

Referenced by mouseReleaseEvent().

## ◆ setValue()

void ExprColorFrame::setValue | ( | const SeExpr2::Vec3d & | value | ) |

Definition at line 35 of file ExprColorSwatch.cpp.

References _color, _value, and value().

Referenced by ExprColorFrame(), and ExprColorSwatchWidget::setSwatchColor().

## ◆ swatchChanged

void ExprColorFrame::swatchChanged | ( | QColor | color | ) |
| signal

Referenced by mouseReleaseEvent().

## Member Data Documentation

## ◆ _color

QColor ExprColorFrame::_color
| private

Definition at line 39 of file ExprColorSwatch.h.

Referenced by mouseReleaseEvent(), paintEvent(), and setValue().

## ◆ _selected

bool ExprColorFrame::_selected
| private

Definition at line 40 of file ExprColorSwatch.h.

Referenced by selected().

## ◆ _value

SeExpr2::Vec3d ExprColorFrame::_value
| private

Definition at line 38 of file ExprColorSwatch.h.

Referenced by ExprColorFrame(), getValue(), mouseReleaseEvent(), and setValue().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorSwatch.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorSwatch.cpp